/*
 * This file is part of PB-Lib v3.0 C++ Programming Library
 *
 * Copyright (c) 1995, 1997 by Branislav L. Slantchev
 * A fine product of Silicon Creations, Inc. (gargoyle)
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the License which accompanies this
 * software. This library is distributed in the hope that it will
 * be useful, but without any warranty; without even the implied
 * warranty of merchantability or fitness for a particular purpose.
 *
 * You should have received a copy of the License along with this
 * library, in the file LICENSE.DOC; if not, write to the address
 * below to receive a copy via electronic mail.
 *
 * You can reach Branislav L. Slantchev (Silicon Creations, Inc.)
 * at bslantch@cs.angelo.edu. The file SUPPORT.DOC has the current
 * telephone numbers and the postal address for contacts.
*/

#ifndef INCLUDED_KEYBOARD_H
#define INCLUDED_KEYBOARD_H
#include "typedef.h"

class private_queue;

class zKeyboard
{
public:
	zKeyboard();
	~zKeyboard();

	Boolean put(ushort aCode, Boolean isLocal);
	ushort  peek();
	ushort  get();
	void    flush();
	Boolean isLocal() const;
	Boolean isEmpty();

	static Boolean paranoid; // should we capture all kinds of keys?

private:
	Boolean m_isLocal;

	void   pending();
	ushort scan(int nTicks);

	static private_queue *s_local;
	static private_queue *s_remote;
	static int            s_inited;

	static int handler(ushort aCode);
};

#endif /* INCLUDED_KEYBOARD_H */
